#include <stdint.h>
#include "accel3.h"

sbit ACCEL_3_CS at RC2_bit;
sbit ACCEL_3_CS_DIR at TRISC2_bit;


void main()
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

    //UART Initialization
  UART2_Init(57600);
  Delay_ms(300);

  UART2_Write_Text( "UART Initialized" );
  UART2_Write_Text( "\r\n" );

    //GPIO Outputs
  ACCEL_3_CS_DIR = 1;
  Delay_ms(300);

  UART2_Write_Text( "Directions Initialized" );
  UART2_Write_Text( "\r\n" );

  I2C1_Init_Advanced( 8000, 100000 );
  Delay_ms(500);

  UART2_Write_Text( "I2C Initialized" );
  UART2_Write_Text( "\r\n" );

    //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );
  accel3_hp_filter_mode_select( HP_NORMAL_MODE );
  accel3_filtered_data_selection_enable( true );

  UART2_Write_Text( "Accel3 Initialized" );
  UART2_Write_Text( "\r\n" );


  while(1)
  {
     my_coords = accel3_get_xyz_raw();

     //sprinti( text, " x: %d y: %d z: %d ", my_coords->x_pos, my_coords->y_pos, my_coords->z_pos );
     IntToStr( my_coords->x_pos, text );
     UART2_Write_Text( " x: " );
     UART2_Write_Text( text );
     IntToStr( my_coords->y_pos, text );
     UART2_Write_Text( " y: " );
     UART2_Write_Text( text );
     IntToStr( my_coords->z_pos, text );
     UART2_Write_Text( " z: " );
     UART2_Write_Text( text );

     UART2_Write_Text( "\r\n" );
     Delay_ms(1000);
  }

}
